Gallery Platform API
Reference

List orders

Lists the gallery's event orders (purchases/RSVPs), most recent first, with cursor pagination. Filter by session or status.

GET
/gallery/orders

Lists the gallery's event orders (purchases/RSVPs), most recent first, with cursor pagination. Filter by session or status.

Authorization

bearerAuth shows:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: shows:read

Query Parameters

limit?integer
Range1 <= value <= 100
Default20
cursor?string
status?string

Value in

  • "pending"
  • "confirmed"
  • "cancelled"
  • "refunded"
session_id?string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "data": [    {      "id": "string",      "event_id": "string",      "session_id": "string",      "contact_id": "string",      "buyer_name": "string",      "buyer_email": "string",      "status": "pending",      "subtotal_cents": -9007199254740991,      "currency": "string",      "tickets": [        {          "id": "string",          "order_id": "string",          "session_id": "string",          "ticket_type_id": "string",          "status": "issued",          "created_at": "string"        }      ],      "metadata": {        "property1": "string",        "property2": "string"      },      "created_at": "string",      "updated_at": "string"    }  ],  "next_cursor": "string"}